<?php

/**
 * @file
 */

if (!class_exists("Notification")) {
  /**
   * Notification.
   */
  class Notification {
    /**
     * @access public
     * @var string
     */
    public $errorMessage;
    /**
     * @access public
     * @var Date
     */
    public $notificationDate;
    /**
     * @access public
     * @var NotificationPriority
     */
    public $notificationPriority;
    /**
     * @access public
     * @var string
     */
    public $notificationText;

  }
}

if (!class_exists("NotificationPriority")) {
  /**
   * NotificationPriority.
   */
  class NotificationPriority {
    /**
     * @access public
     * @var string
     */
    public $notificationPriorityName;

  }
}

if (!class_exists("Announcement")) {
  /**
   * Announcement.
   */
  class Announcement {
    /**
     * @access public
     * @var string
     */
    public $announcementText;
    /**
     * @access public
     * @var Date
     */
    public $date;

  }
}

if (!class_exists("ContentMonitorPluginInfo")) {
  /**
   * ContentMonitorPluginInfo.
   */
  class ContentMonitorPluginInfo {
    /**
     * @access public
     * @var string
     */
    public $pluginId;
    /**
     * @access public
     * @var string
     */
    public $pluginName;

  }
}

if (!class_exists("Date")) {
  /**
   * Date.
   */
  class Date {
    /**
     * @access public
     * @var bool
     */
    public $critical;
    /**
     * @access public
     * @var int
     */
    public $date;

  }
}

if (!class_exists("Document")) {
  /**
   * Document.
   */
  class Document {
    /**
     * @access public
     * @var DocumentGroup
     */
    public $documentGroup;
    /**
     * @access public
     * @var DocumentInfo
     */
    public $documentInfo;
    /**
     * @access public
     * @var string
     */
    public $id;
    /**
     * @access public
     * @var Language
     */
    public $sourceLanguage;
    /**
     * @access public
     * @var int
     */
    public $sourceWordCount;
    /**
     * @access public
     * @var string
     */
    public $ticket;

  }
}

if (!class_exists("DocumentGroup")) {
  /**
   * DocumentGroup.
   */
  class DocumentGroup {
    /**
     * @access public
     * @var string
     */
    public $classifier;
    /**
     * @access public
     * @var Document[]
     */
    public $documents;
    /**
     * @access public
     * @var string
     */
    public $mimeType;
    /**
     * @access public
     * @var Submission
     */
    public $submission;

  }
}

if (!class_exists("DocumentInfo")) {
  /**
   * DocumentInfo.
   */
  class DocumentInfo {
    /**
     * @access public
     * @var DocumentInfo[]
     */
    public $childDocumentInfos;
    /**
     * @access public
     * @var string
     */
    public $clientIdentifier;
    /**
     * @access public
     * @var Date
     */
    public $dateRequested;
    /**
     * @access public
     * @var string
     */
    public $instructions;
    /**
     * @access public
     * @var Metadata[]
     */
    public $metadata;
    /**
     * @access public
     * @var string
     */
    public $name;
    /**
     * @access public
     * @var string
     */
    public $projectTicket;
    /**
     * @access public
     * @var string
     */
    public $sourceLocale;
    /**
     * @access public
     * @var string
     */
    public $submissionTicket;
    /**
     * @access public
     * @var TargetInfo[]
     */
    public $targetInfos;
    /**
     * @access public
     * @var int
     */
    public $wordCount;

  }
}

if (!class_exists("DocumentPagedList")) {
  /**
   * DocumentPagedList.
   */
  class DocumentPagedList {
    /**
     * @access public
     * @var Document[]
     */
    public $elements;
    /**
     * @access public
     * @var PagedListInfo
     */
    public $pagedListInfo;
    /**
     * @access public
     * @var Task[]
     */
    public $tasks;
    /**
     * @access public
     * @var int
     */
    public $totalCount;

  }
}

if (!class_exists("DocumentSearchRequest")) {
  /**
   * DocumentSearchRequest.
   */
  class DocumentSearchRequest {
    /**
     * @access public
     * @var string[]
     */
    public $projectTickets;
    /**
     * @access public
     * @var string
     */
    public $sourceLocaleId;
    /**
     * @access public
     * @var string
     */
    public $submissionTicket;

  }
}

if (!class_exists("DocumentTicket")) {
  /**
   * DocumentTicket.
   */
  class DocumentTicket {
    /**
     * @access public
     * @var string
     */
    public $submissionTicket;
    /**
     * @access public
     * @var string
     */
    public $ticketId;

  }
}

if (!class_exists("EntityTypeEnum")) {
  /**
   * EntityTypeEnum.
   */
  class EntityTypeEnum {
    /**
     * @access public
     * @var string
     */
    public $name;
    /**
     * @access public
     * @var int
     */
    public $value;

  }
}

if (!class_exists("FileFormatProfile")) {
  /**
   * FileFormatProfile.
   */
  class FileFormatProfile {
    /**
     * @access public
     * @var bool
     */
    public $configurable;
    /**
     * @access public
     * @var bool
     */
    public $isDefault;
    /**
     * @access public
     * @var string
     */
    public $mimeType;
    /**
     * @access public
     * @var string
     */
    public $pluginId;
    /**
     * @access public
     * @var string
     */
    public $pluginName;
    /**
     * @access public
     * @var string
     */
    public $profileName;
    /**
     * @access public
     * @var WorkflowDefinition
     */
    public $targetWorkflowDefinition;
    /**
     * @access public
     * @var string
     */
    public $ticket;

  }
}

if (!class_exists("FileFormatProgressData")) {
  /**
   * FileFormatProgressData.
   */
  class FileFormatProgressData {
    /**
     * @access public
     * @var Date
     */
    public $dateCompleted;
    /**
     * @access public
     * @var int
     */
    public $fileCount;
    /**
     * @access public
     * @var string
     */
    public $fileFormatName;
    /**
     * @access public
     * @var FileProgressData
     */
    public $fileProgressData;
    /**
     * @access public
     * @var string
     */
    public $jobTicket;
    /**
     * @access public
     * @var Date
     */
    public $workflowDueDate;
    /**
     * @access public
     * @var string
     */
    public $workflowStatus;

  }
}

if (!class_exists("FileProgressData")) {
  /**
   * FileProgressData.
   */
  class FileProgressData {
    /**
     * @access public
     * @var int
     */
    public $numberOfAvailableFiles;
    /**
     * @access public
     * @var int
     */
    public $numberOfCanceledFiles;
    /**
     * @access public
     * @var int
     */
    public $numberOfCompletedFiles;
    /**
     * @access public
     * @var int
     */
    public $numberOfDeliveredFiles;
    /**
     * @access public
     * @var int
     */
    public $numberOfFailedFiles;
    /**
     * @access public
     * @var int
     */
    public $numberOfInProcessFiles;
    /**
     * @access public
     * @var int
     */
    public $overallProgressPercent;

  }
}

if (!class_exists("FuzzyTmStatistics")) {
  /**
   * FuzzyTmStatistics.
   */
  class FuzzyTmStatistics {
    /**
     * @access public
     * @var string
     */
    public $fuzzyName;
    /**
     * @access public
     * @var int
     */
    public $wordCount;

  }
}

if (!class_exists("ItemFolderEnum")) {
  /**
   * ItemFolderEnum.
   */
  class ItemFolderEnum {
    /**
     * @access public
     * @var int
     */
    public $value;

  }
}

if (!class_exists("ItemStatusEnum")) {
  /**
   * ItemStatusEnum.
   */
  class ItemStatusEnum {
    /**
     * @access public
     * @var string
     */
    public $name;
    /**
     * @access public
     * @var int
     */
    public $value;

  }
}

if (!class_exists("Metadata")) {
  /**
   * Metadata.
   */
  class Metadata {
    /**
     * @access public
     * @var string
     */
    public $key;
    /**
     * @access public
     * @var string
     */
    public $value;

  }
}

if (!class_exists("Language")) {
  /**
   * Language.
   */
  class Language {
    /**
     * @access public
     * @var string
     */
    public $locale;
    /**
     * @access public
     * @var string
     */
    public $value;

  }
}

if (!class_exists("LanguageDirection")) {
  /**
   * LanguageDirection.
   */
  class LanguageDirection {
    /**
     * @access public
     * @var Language
     */
    public $sourceLanguage;
    /**
     * @access public
     * @var Language
     */
    public $targetLanguage;

  }
}

if (!class_exists("LanguageDirectionModel")) {
  /**
   * LanguageDirectionModel.
   */
  class LanguageDirectionModel {
    /**
     * @access public
     * @var Date
     */
    public $dateCompleted;
    /**
     * @access public
     * @var int
     */
    public $fileCount;
    /**
     * @access public
     * @var FileFormatProgressData[]
     */
    public $fileFormatProgressData;
    /**
     * @access public
     * @var FileProgressData
     */
    public $fileProgress;
    /**
     * @access public
     * @var Language
     */
    public $sourceLanguage;
    /**
     * @access public
     * @var Language
     */
    public $targetLanguage;
    /**
     * @access public
     * @var Date
     */
    public $workflowDueDate;
    /**
     * @access public
     * @var string
     */
    public $workflowStatus;

  }
}

if (!class_exists("Organization")) {
  /**
   * Organization.
   */
  class Organization {
    /**
     * @access public
     * @var int
     */
    public $availableTasks;
    /**
     * @access public
     * @var Organization
     */
    public $parentOrganization;
    /**
     * @access public
     * @var OrganizationInfo
     */
    public $organizationInfo;
    /**
     * @access public
     * @var Task[]
     */
    public $tasks;
    /**
     * @access public
     * @var string
     */
    public $ticket;

  }
}

if (!class_exists("OrganizationInfo")) {
  /**
   * OrganizationInfo.
   */
  class OrganizationInfo {
    /**
     * @access public
     * @var string
     */
    public $name;
    /**
     * @access public
     * @var string
     */
    public $ticket;
    /**
     * @access public
     * @var string
     */
    public $currencyCode;
    /**
     * @access public
     * @var string
     */
    public $domain;
    /**
     * @access public
     * @var string
     */
    public $theme;
    /**
     * @access public
     * @var bool
     */
    public $enabled;

  }
}

if (!class_exists("PagedListInfo")) {
  /**
   * PagedListInfo.
   */
  class PagedListInfo {
    /**
     * @access public
     * @var int
     */
    public $index;
    /**
     * @access public
     * @var int
     */
    public $indexesSize;
    /**
     * @access public
     * @var int
     */
    public $size;
    /**
     * @access public
     * @var string
     */
    public $sortDirection;
    /**
     * @access public
     * @var string
     */
    public $sortProperty;

  }
}

if (!class_exists("Phase")) {
  /**
   * Phase.
   */
  class Phase {
    /**
     * @access public
     * @var Date
     */
    public $dateEnded;
    /**
     * @access public
     * @var Date
     */
    public $dueDate;
    /**
     * @access public
     * @var string
     */
    public $name;
    /**
     * @access public
     * @var ItemStatusEnum
     */
    public $status;

  }
}

if (!class_exists("PreviewResult")) {
  /**
   * PreviewResult.
   */
  class PreviewResult {
    /**
     * @access public
     * @var string
     */
    public $message;
    /**
     * @access public
     * @var RepositoryItem
     */
    public $repositoryItem;

  }
}

if (!class_exists("Priority")) {
  /**
   * Priority.
   */
  class Priority {
    /**
     * @access public
     * @var string
     */
    public $name;
    /**
     * @access public
     * @var int
     */
    public $value;

  }
}

if (!class_exists("Project")) {
  /**
   * Project.
   */
  class Project {
    /**
     * @access public
     * @var Announcement[]
     */
    public $announcements;
    /**
     * @access public
     * @var ContentMonitorPluginInfo
     */
    public $contentMonitorPluginInfo;
    /**
     * @access public
     * @var WorkflowDefinition
     */
    public $defaultTargetWorkflowDefinition;
    /**
     * @access public
     * @var string
     */
    public $defaultTargetWorkflowDefinitionTicket;
    /**
     * @access public
     * @var FileFormatProfile[]
     */
    public $fileFormatProfiles;
    /**
     * @access public
     * @var boolean[]
     */
    public $includeSubmissionNameInLocalizationKit;
    /**
     * @access public
     * @var Metadata[]
     */
    public $metadata;
    /**
     * @access public
     * @var string
     */
    public $organizationName;
    /**
     * @access public
     * @var ProjectCustomFieldConfiguration[]
     */
    public $projectCustomFieldConfiguration;
    /**
     * @access public
     * @var ProjectInfo
     */
    public $projectInfo;
    /**
     * @access public
     * @var ProjectLanguageDirection[]
     */
    public $projectLanguageDirections;
    /**
     * @access public
     * @var string
     */
    public $ticket;
    /**
     * @access public
     * @var WorkflowDefinition[]
     */
    public $workflowDefinitions;

  }
}

if (!class_exists("ProjectInfo")) {
  /**
   * ProjectInfo.
   */
  class ProjectInfo {
    /**
     * @access public
     * @var string
     */
    public $clientIdentifier;
    /**
     * @access public
     * @var string
     */
    public $defaultJobWorkflowDefinitionTicket;
    /**
     * @access public
     * @var string
     */
    public $defaultSubmissionWorkflowDefinitionTicket;
    /**
     * @access public
     * @var string
     */
    public $defaultTargetWorkflowDefinitionTicket;
    /**
     * @access public
     * @var bool
     */
    public $enabled;
    /**
     * @access public
     * @var string
     */
    public $name;
    /**
     * @access public
     * @var string
     */
    public $shortCode;

  }
}

if (!class_exists("ProjectLanguage")) {
  /**
   * ProjectLanguage.
   */
  class ProjectLanguage {
    /**
     * @access public
     * @var string
     */
    public $customLocaleCode;
    /**
     * @access public
     * @var string
     */
    public $localeCode;

  }
}

if (!class_exists("ProjectLanguageDirection")) {
  /**
   * ProjectLanguageDirection.
   */
  class ProjectLanguageDirection {
    /**
     * @access public
     * @var Language
     */
    public $sourceLanguage;
    /**
     * @access public
     * @var Language
     */
    public $targetLanguage;
    /**
     * @access public
     * @var bool
     */
    public $default;
    /**
     * @access public
     * @var bool
     */
    public $frequent;

  }
}

if (!class_exists("ProjectAClient")) {
  /**
   * ProjectAClient.
   */
  class ProjectAClient {
    /**
     * @access public
     * @var string
     */
    public $name;
    /**
     * @access public
     * @var string
     */
    public $ticket;
    /**
     * @access public
     * @var bool
     */
    public $enabled;
    /**
     * @access public
     * @var Organization
     */
    public $parentOrganization;

  }
}

if (!class_exists("RepositoryItem")) {
  /**
   * RepositoryItem.
   */
  class RepositoryItem {
    /**
     * @access public
     * @var xmimebase64Binary
     */
    public $data;
    /**
     * @access public
     * @var ResourceInfo
     */
    public $resourceInfo;

  }
}

if (!class_exists("ResourceInfo")) {
  /**
   * ResourceInfo.
   */
  class ResourceInfo {
    /**
     * @access public
     * @var string
     */
    public $classifier;
    /**
     * @access public
     * @var string
     */
    public $clientIdentifier;
    /**
     * @access public
     * @var string
     */
    public $description;
    /**
     * @access public
     * @var string
     */
    public $encoding;
    /**
     * @access public
     * @var string
     */
    public $md5Checksum;
    /**
     * @access public
     * @var string
     */
    public $mimeType;
    /**
     * @access public
     * @var string
     */
    public $name;
    /**
     * @access public
     * @var string
     */
    public $path;
    /**
     * @access public
     * @var int
     */
    public $resourceInfoId;
    /**
     * @access public
     * @var int
     */
    public $size;
    /**
     * @access public
     * @var ResourceType
     */
    public $type;

  }
}

if (!class_exists("ResourceType")) {
  /**
   * ResourceType.
   */
  class ResourceType {
    /**
     * @access public
     * @var int
     */
    public $value;

  }
}

if (!class_exists("Submission")) {
  /**
   * Submission.
   */
  class Submission {
    /**
     * @access public
     * @var Notification[]
     */
    public $alerts;
    /**
     * @access public
     * @var int
     */
    public $availableTasks;
    /**
     * @access public
     * @var Date
     */
    public $dateArchived;
    /**
     * @access public
     * @var Date
     */
    public $dateCompleted;
    /**
     * @access public
     * @var Date
     */
    public $dateCreated;
    /**
     * @access public
     * @var Date
     */
    public $dateEstimated;
    /**
     * @access public
     * @var Document[]
     */
    public $documents;
    /**
     * @access public
     * @var Date
     */
    public $dueDate;
    /**
     * @access public
     * @var string
     */
    public $id;
    /**
     * @access public
     * @var string
     */
    public $owner;
    /**
     * @access public
     * @var Project
     */
    public $project;
    /**
     * @access public
     * @var ItemStatusEnum
     */
    public $status;
    /**
     * @access public
     * @var SubmissionInfo
     */
    public $submissionInfo;
    /**
     * @access public
     * @var string[]
     */
    public $submitterFullNames;
    /**
     * @access public
     * @var string
     */
    public $ticket;
    /**
     * @access public
     * @var WorkflowDefinition
     */
    public $workflowDefinition;

  }
}

if (!class_exists("SubmissionInfo")) {
  /**
   * SubmissionInfo.
   */
  class SubmissionInfo {
    /**
     * @access public
     * @var string
     */
    public $additionalCosts;
    /**
     * @access public
     * @var bool
     */
    public $autoStartChilds;
    /**
     * @access public
     * @var ClaimScopeEnum
     */
    public $claimScope;
    /**
     * @access public
     * @var string
     */
    public $clientIdentifier;
    /**
     * @access public
     * @var Date
     */
    public $dateRequested;
    /**
     * @access public
     * @var string
     */
    public $internalNotes;
    /**
     * @access public
     * @var Metadata[]
     */
    public $metadata;
    /**
     * @access public
     * @var string
     */
    public $name;
    /**
     * @access public
     * @var string
     */
    public $officeName;
    /**
     * @access public
     * @var string
     */
    public $paClientTicket;
    /**
     * @access public
     * @var string
     */
    public $paJobNumber;
    /**
     * @access public
     * @var Priority
     */
    public $priority;
    /**
     * @access public
     * @var string
     */
    public $projectTicket;
    /**
     * @access public
     * @var double
     */
    public $revenue;
    /**
     * @access public
     * @var string
     */
    public $submissionBackground;
    /**
     * @access public
     * @var SubmissionCustomFields[]
     */
    public $submissionCustomFields;
    /**
     * @access public
     * @var string[]
     */
    public $submitters;
    /**
     * @access public
     * @var string
     */
    public $workflowDefinitionTicket;

  }
}

if (!class_exists("SubmissionPagedList")) {
  /**
   * SubmissionPagedList.
   */
  class SubmissionPagedList {
    /**
     * @access public
     * @var Submission[]
     */
    public $elements;
    /**
     * @access public
     * @var PagedListInfo
     */
    public $pagedListInfo;
    /**
     * @access public
     * @var Task[]
     */
    public $tasks;
    /**
     * @access public
     * @var int
     */
    public $totalCount;

  }
}

if (!class_exists("SimpleSubmissionSearchModel")) {
  /**
   * SimpleSubmissionSearchModel.
   */
  class SimpleSubmissionSearchModel {
    /**
     * @access public
     * @var Notification[]
     */
    public $alerts;
    /**
     * @access public
     * @var int
     */
    public $availableTasks;
    /**
     * @access public
     * @var int
     */
    public $budgetStatus;
    /**
     * @access public
     * @var ClaimScopeEnum
     */
    public $claimScope;
    /**
     * @access public
     * @var string[]
     */
    public $customFields;
    /**
     * @access public
     * @var Date
     */
    public $date;
    /**
     * @access public
     * @var Date
     */
    public $dateArchived;
    /**
     * @access public
     * @var Date
     */
    public $dateCompleted;
    /**
     * @access public
     * @var Date
     */
    public $dateStarted;
    /**
     * @access public
     * @var Date
     */
    public $dueDate;
    /**
     * @access public
     * @var int
     */
    public $fileCount;
    /**
     * @access public
     * @var FileProgressData
     */
    public $fileProgress;
    /**
     * @access public
     * @var int
     */
    public $gate;
    /**
     * @access public
     * @var string
     */
    public $id;
    /**
     * @access public
     * @var string
     */
    public $instructions;
    /**
     * @access public
     * @var string
     */
    public $officeName;
    /**
     * @access public
     * @var UserData[]
     */
    public $owner;
    /**
     * @access public
     * @var string
     */
    public $paClientName;
    /**
     * @access public
     * @var string
     */
    public $parentSubmissionName;
    /**
     * @access public
     * @var string
     */
    public $parentTicket;
    /**
     * @access public
     * @var string
     */
    public $pmNotes;
    /**
     * @access public
     * @var string
     */
    public $priority;
    /**
     * @access public
     * @var string
     */
    public $projectName;
    /**
     * @access public
     * @var string
     */
    public $projectTicket;
    /**
     * @access public
     * @var int
     */
    public $quote;
    /**
     * @access public
     * @var bool
     */
    public $reserved;
    /**
     * @access public
     * @var string
     */
    public $sourceLanguage;
    /**
     * @access public
     * @var ItemStatusEnum
     */
    public $status;
    /**
     * @access public
     * @var string
     */
    public $submissionBackground;
    /**
     * @access public
     * @var string
     */
    public $submissionName;
    /**
     * @access public
     * @var UserData[]
     */
    public $submitterFullName;
    /**
     * @access public
     * @var string
     */
    public $ticket;
    /**
     * @access public
     * @var int
     */
    public $wordCount;
    /**
     * @access public
     * @var Date
     */
    public $workflowDueDate;
    /**
     * @access public
     * @var string
     */
    public $workflowStatus;

  }
}

if (!class_exists("SubmissionSearchModelPagedList")) {
  /**
   * SubmissionSearchModelPagedList.
   */
  class SubmissionSearchModelPagedList {
    /**
     * @access public
     * @var SimpleSubmissionSearchModel[]
     */
    public $elements;
    /**
     * @access public
     * @var PagedListInfo
     */
    public $pagedListInfo;
    /**
     * @access public
     * @var Task[]
     */
    public $tasks;
    /**
     * @access public
     * @var int
     */
    public $totalCount;

  }
}

if (!class_exists("SubmissionSearchRequest")) {
  /**
   * SubmissionSearchRequest.
   */
  class SubmissionSearchRequest {
    /**
     * @access public
     * @var ItemFolderEnum
     */
    public $folder;
    /**
     * @access public
     * @var string[]
     */
    public $projectTickets;
    /**
     * @access public
     * @var Date
     */
    public $submissionDate;
    /**
     * @access public
     * @var Date
     */
    public $submissionDueDate;
    /**
     * @access public
     * @var string
     */
    public $submissionName;

  }
}

if (!class_exists("Target")) {
  /**
   * Target.
   */
  class Target {
    /**
     * @access public
     * @var int
     */
    public $availableTasks;
    /**
     * @access public
     * @var Date
     */
    public $dateCompleted;
    /**
     * @access public
     * @var Date
     */
    public $dateCreated;
    /**
     * @access public
     * @var Date
     */
    public $dateEstimated;
    /**
     * @access public
     * @var Document
     */
    public $document;
    /**
     * @access public
     * @var Date
     */
    public $downloadThresholdTimeStamp;
    /**
     * @access public
     * @var Date
     */
    public $dueDate;
    /**
     * @access public
     * @var string
     */
    public $fileName;
    /**
     * @access public
     * @var string
     */
    public $id;
    /**
     * @access public
     * @var Phase[]
     */
    public $phases;
    /**
     * @access public
     * @var Phase
     */
    public $refPhase;
    /**
     * @access public
     * @var Language
     */
    public $sourceLanguage;
    /**
     * @access public
     * @var int
     */
    public $sourceWordCount;
    /**
     * @access public
     * @var ItemStatusEnum
     */
    public $status;
    /**
     * @access public
     * @var TargetInfo
     */
    public $targetInfo;
    /**
     * @access public
     * @var Language
     */
    public $targetLanguage;
    /**
     * @access public
     * @var int
     */
    public $targetWordCount;
    /**
     * @access public
     * @var string
     */
    public $ticket;
    /**
     * @access public
     * @var TmStatistics
     */
    public $tmStatistics;
    /**
     * @access public
     * @var WorkflowDefinition
     */
    public $workflowDefinition;

  }
}

if (!class_exists("TargetInfo")) {
  /**
   * TargetInfo.
   */
  class TargetInfo {
    /**
     * @access public
     * @var Date
     */
    public $dateRequested;
    /**
     * @access public
     * @var string
     */
    public $encoding;
    /**
     * @access public
     * @var string
     */
    public $instructions;
    /**
     * @access public
     * @var Metadata[]
     */
    public $metadata;
    /**
     * @access public
     * @var Priority
     */
    public $priority;
    /**
     * @access public
     * @var int
     */
    public $requestedDueDate;
    /**
     * @access public
     * @var string
     */
    public $targetLocale;
    /**
     * @access public
     * @var string
     */
    public $workflowDefinitionTicket;

  }
}

if (!class_exists("TargetPagedList")) {
  /**
   * TargetPagedList.
   */
  class TargetPagedList {
    /**
     * @access public
     * @var Target[]
     */
    public $elements;
    /**
     * @access public
     * @var PagedListInfo
     */
    public $pagedListInfo;
    /**
     * @access public
     * @var Task[]
     */
    public $tasks;
    /**
     * @access public
     * @var int
     */
    public $totalCount;

  }
}

if (!class_exists("TargetSearchRequest")) {
  /**
   * TargetSearchRequest.
   */
  class TargetSearchRequest {
    /**
     * @access public
     * @var Date
     */
    public $dateCreated;
    /**
     * @access public
     * @var ItemFolderEnum
     */
    public $folder;
    /**
     * @access public
     * @var string[]
     */
    public $projectTickets;
    /**
     * @access public
     * @var string
     */
    public $sourceLocaleId;
    /**
     * @access public
     * @var string
     */
    public $submissionTicket;
    /**
     * @access public
     * @var string
     */
    public $targetLocaleId;

  }
}

if (!class_exists("Task")) {
  /**
   * Task.
   */
  class Task {
    /**
     * @access public
     * @var string
     */
    public $groupName;
    /**
     * @access public
     * @var int
     */
    public $selectStyle;
    /**
     * @access public
     * @var int
     */
    public $taskId;
    /**
     * @access public
     * @var string
     */
    public $taskName;
    /**
     * @access public
     * @var int
     */
    public $weight;

  }
}

if (!class_exists("TmStatistics")) {
  /**
   * TmStatistics.
   */
  class TmStatistics {
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyRepetitionsWordCount1;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyRepetitionsWordCount10;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyRepetitionsWordCount2;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyRepetitionsWordCount3;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyRepetitionsWordCount4;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyRepetitionsWordCount5;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyRepetitionsWordCount6;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyRepetitionsWordCount7;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyRepetitionsWordCount8;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyRepetitionsWordCount9;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyWordCount1;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyWordCount10;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyWordCount2;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyWordCount3;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyWordCount4;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyWordCount5;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyWordCount6;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyWordCount7;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyWordCount8;
    /**
     * @access public
     * @var FuzzyTmStatistics
     */
    public $fuzzyWordCount9;
    /**
     * @access public
     * @var int
     */
    public $goldWordCount;
    /**
     * @access public
     * @var int
     */
    public $noMatchWordCount;
    /**
     * @access public
     * @var int
     */
    public $oneHundredMatchWordCount;
    /**
     * @access public
     * @var int
     */
    public $repetitionWordCount;
    /**
     * @access public
     * @var int
     */
    public $totalWordCount;

  }
}

if (!class_exists("WorkflowDefinition")) {
  /**
   * WorkflowDefinition.
   */
  class WorkflowDefinition {
    /**
     * @access public
     * @var string
     */
    public $description;
    /**
     * @access public
     * @var string
     */
    public $name;
    /**
     * @access public
     * @var string
     */
    public $ticket;
    /**
     * @access public
     * @var EntityTypeEnum
     */
    public $type;

  }
}

if (!class_exists("UserData")) {
  /**
   * UserData.
   */
  class UserData {
    /**
     * @access public
     * @var string
     */
    public $email;
    /**
     * @access public
     * @var string
     */
    public $name;

  }
}

if (!class_exists("UserInfo")) {
  /**
   * UserInfo.
   */
  class UserInfo {
    /**
     * @access public
     * @var bool
     */
    public $accountNonExpired;
    /**
     * @access public
     * @var bool
     */
    public $accountNonLocked;
    /**
     * @access public
     * @var string
     */
    public $adress;
    /**
     * @access public
     * @var bool
     */
    public $autoClaimMultipleTasks;
    /**
     * @access public
     * @var bool
     */
    public $claimMultipleJobTasks;
    /**
     * @access public
     * @var bool
     */
    public $credentialsNonExpired;
    /**
     * @access public
     * @var dateTime
     */
    public $dateLastLogin;
    /**
     * @access public
     * @var string
     */
    public $department;
    /**
     * @access public
     * @var string
     */
    public $emailAddress;
    /**
     * @access public
     * @var bool
     */
    public $emailNotification;
    /**
     * @access public
     * @var bool
     */
    public $enabled;
    /**
     * @access public
     * @var string
     */
    public $fax;
    /**
     * @access public
     * @var string
     */
    public $firstName;
    /**
     * @access public
     * @var string
     */
    public $lastName;
    /**
     * @access public
     * @var string
     */
    public $password;
    /**
     * @access public
     * @var string
     */
    public $phone1;
    /**
     * @access public
     * @var string
     */
    public $phone2;
    /**
     * @access public
     * @var string
     */
    public $timeZone;
    /**
     * @access public
     * @var string
     */
    public $userName;
    /**
     * @access public
     * @var string
     */
    public $userType;

  }
}

if (!class_exists("TiUserInfo")) {
  /**
   * TiUserInfo.
   */
  class TiUserInfo {
    /**
     * @access public
     * @var LanguageDirection[]
     */
    public $languageDirections;
    /**
     * @access public
     * @var int
     */
    public $organizationId;
    /**
     * @access public
     * @var string[]
     */
    public $projectRoles;
    /**
     * @access public
     * @var string[]
     */
    public $projectTicket;
    /**
     * @access public
     * @var string[]
     */
    public $systemRoles;
    /**
     * @access public
     * @var int
     */
    public $vendorId;

  }
}

if (!class_exists("ClaimScopeEnum")) {
  /**
   * ClaimScopeEnum.
   */
  class ClaimScopeEnum {
    /**
     * @access public
     * @var string
     */
    public $name;
    /**
     * @access public
     * @var int
     */
    public $value;

  }
}

if (!class_exists("ProjectCustomFieldConfiguration")) {
  /**
   * ProjectCustomFieldConfiguration.
   */
  class ProjectCustomFieldConfiguration {
    /**
     * @access public
     * @var bool
     */
    public $mandatory;
    /**
     * @access public
     * @var string
     */
    public $name;
    /**
     * @access public
     * @var string
     */
    public $type;
    /**
     * @access public
     * @var string
     */
    public $values;

  }
}

if (!class_exists("SubmissionCustomFields")) {
  /**
   * SubmissionCustomFields.
   */
  class SubmissionCustomFields {
    /**
     * @access public
     * @var string
     */
    public $fieldName;
    /**
     * @access public
     * @var string
     */
    public $fieldValue;

  }
}

if (!class_exists("UserProfile")) {
  /**
   * UserProfile.
   */
  class UserProfile {
    /**
     * @access public
     * @var int
     */
    public $availableTasks;
    /**
     * @access public
     * @var string
     */
    public $organizationName;
    /**
     * @access public
     * @var Role[]
     */
    public $systemRoles;
    /**
     * @access public
     * @var Task[]
     */
    public $tasks;
    /**
     * @access public
     * @var string
     */
    public $ticket;
    /**
     * @access public
     * @var UserInfo
     */
    public $userInfo;
    /**
     * @access public
     * @var string
     */
    public $vendorName;

  }
}

if (!class_exists("Role")) {
  /**
   * Role.
   */
  class Role {
    /**
     * @access public
     * @var Policy[]
     */
    public $policies;
    /**
     * @access public
     * @var string
     */
    public $roleId;
    /**
     * @access public
     * @var RoleTypeEnum
     */
    public $roleType;
    /**
     * @access public
     * @var Task[]
     */
    public $tasks;
    /**
     * @access public
     * @var string
     */
    public $ticket;

  }
}

if (!class_exists("RoleTypeEnum")) {
  /**
   * RoleTypeEnum.
   */
  class RoleTypeEnum {
    /**
     * @access public
     * @var int
     */
    public $value;

  }
}

if (!class_exists("Policy")) {
  /**
   * Policy.
   */
  class Policy {
    /**
     * @access public
     * @var string
     */
    public $category;
    /**
     * @access public
     * @var string
     */
    public $policyId;
    /**
     * @access public
     * @var RoleTypeEnum
     */
    public $policyType;

  }
}

if (!class_exists("findByTicket")) {
  /**
   * FindByTicket.
   */
  class findByTicket {
    /**
     * @access public
     * @var string
     */
    public $ticket;

  }
}

if (!class_exists("findByTicketResponse")) {
  /**
   * FindByTicketResponse.
   */
  class findByTicketResponse {
    /**
     * @access public
     * @var Project
     */
    public $return;

  }
}

if (!class_exists("findProjectByName")) {
  /**
   * FindProjectByName.
   */
  class findProjectByName {
    /**
     * @access public
     * @var string
     */
    public $projectName;

  }
}

if (!class_exists("findProjectByNameResponse")) {
  /**
   * FindProjectByNameResponse.
   */
  class findProjectByNameResponse {
    /**
     * @access public
     * @var Project
     */
    public $return;

  }
}

if (!class_exists("findProjectByShortCode")) {
  /**
   * FindProjectByShortCode.
   */
  class findProjectByShortCode {
    /**
     * @access public
     * @var string
     */
    public $projectShortCode;

  }
}

if (!class_exists("findProjectByShortCodeResponse")) {
  /**
   * FindProjectByShortCodeResponse.
   */
  class findProjectByShortCodeResponse {
    /**
     * @access public
     * @var Project
     */
    public $return;

  }
}

if (!class_exists("getUserProjects")) {
  /**
   * GetUserProjects.
   */
  class getUserProjects {
    /**
     * @access public
     * @var bool
     */
    public $isSubProjectIncluded;

  }
}

if (!class_exists("getUserProjectsResponse")) {
  /**
   * GetUserProjectsResponse.
   */
  class getUserProjectsResponse {
    /**
     * @access public
     * @var Project[]
     */
    public $return;

  }
}

if (!class_exists("ProjectService_4110")) {
  /**
   * ProjectService_4110.
   *
   * @author WSDLInterpreter
   */
  class ProjectService_4110 extends SoapClient {
    /**
     * Default class map for wsdl=>php.
     *
     * @access private
     * @var array
     */
    private static $classmap = array(
      "Notification" => "Notification",
      "NotificationPriority" => "NotificationPriority",
      "Announcement" => "Announcement",
      "ContentMonitorPluginInfo" => "ContentMonitorPluginInfo",
      "Date" => "Date",
      "Document" => "Document",
      "DocumentGroup" => "DocumentGroup",
      "DocumentInfo" => "DocumentInfo",
      "DocumentPagedList" => "DocumentPagedList",
      "DocumentSearchRequest" => "DocumentSearchRequest",
      "DocumentTicket" => "DocumentTicket",
      "EntityTypeEnum" => "EntityTypeEnum",
      "FileFormatProfile" => "FileFormatProfile",
      "FileFormatProgressData" => "FileFormatProgressData",
      "FileProgressData" => "FileProgressData",
      "FuzzyTmStatistics" => "FuzzyTmStatistics",
      "ItemFolderEnum" => "ItemFolderEnum",
      "ItemStatusEnum" => "ItemStatusEnum",
      "Metadata" => "Metadata",
      "Language" => "Language",
      "LanguageDirection" => "LanguageDirection",
      "LanguageDirectionModel" => "LanguageDirectionModel",
      "Organization" => "Organization",
      "OrganizationInfo" => "OrganizationInfo",
      "PagedListInfo" => "PagedListInfo",
      "Phase" => "Phase",
      "PreviewResult" => "PreviewResult",
      "Priority" => "Priority",
      "Project" => "Project",
      "ProjectInfo" => "ProjectInfo",
      "ProjectLanguage" => "ProjectLanguage",
      "ProjectLanguageDirection" => "ProjectLanguageDirection",
      "ProjectAClient" => "ProjectAClient",
      "RepositoryItem" => "RepositoryItem",
      "ResourceInfo" => "ResourceInfo",
      "ResourceType" => "ResourceType",
      "Submission" => "Submission",
      "SubmissionInfo" => "SubmissionInfo",
      "SubmissionPagedList" => "SubmissionPagedList",
      "SimpleSubmissionSearchModel" => "SimpleSubmissionSearchModel",
      "SubmissionSearchModelPagedList" => "SubmissionSearchModelPagedList",
      "SubmissionSearchRequest" => "SubmissionSearchRequest",
      "Target" => "Target",
      "TargetInfo" => "TargetInfo",
      "TargetPagedList" => "TargetPagedList",
      "TargetSearchRequest" => "TargetSearchRequest",
      "Task" => "Task",
      "TmStatistics" => "TmStatistics",
      "WorkflowDefinition" => "WorkflowDefinition",
      "UserData" => "UserData",
      "UserInfo" => "UserInfo",
      "TiUserInfo" => "TiUserInfo",
      "ClaimScopeEnum" => "ClaimScopeEnum",
      "ProjectCustomFieldConfiguration" => "ProjectCustomFieldConfiguration",
      "SubmissionCustomFields" => "SubmissionCustomFields",
      "UserProfile" => "UserProfile",
      "Role" => "Role",
      "RoleTypeEnum" => "RoleTypeEnum",
      "Policy" => "Policy",
      "findByTicket" => "findByTicket",
      "findByTicketResponse" => "findByTicketResponse",
      "findProjectByName" => "findProjectByName",
      "findProjectByNameResponse" => "findProjectByNameResponse",
      "findProjectByShortCode" => "findProjectByShortCode",
      "findProjectByShortCodeResponse" => "findProjectByShortCodeResponse",
      "getUserProjects" => "getUserProjects",
      "getUserProjectsResponse" => "getUserProjectsResponse",
    );

    /**
     * Constructor using wsdl location and options array.
     *
     * @param string $wsdl
     *   WSDL location for this service.
     * @param array $options
     *   Options for the SoapClient.
     */
    public function __construct($wsdl = "http://stg-emc1.translations.com/PD/services/ProjectService_4110.wsdl", $options = array(), $headers = NULL) {
      foreach (self::$classmap as $wsdlClassName => $phpClassName) {
        if (!isset($options['classmap'][$wsdlClassName])) {
          $options['classmap'][$wsdlClassName] = $phpClassName;
        }
      }
      parent::__construct($wsdl, $options);
      parent::__setSoapHeaders($headers);
    }

    /**
     * Checks if an argument list matches against a valid argument type list.
     *
     * @param array $arguments
     *   The argument list to check.
     * @param array $validParameters
     *   A list of valid argument types.
     *
     * @return boolean true if arguments match against validParameters
     *
     * @throws Exception invalid function signature message
     */
    public function _checkArguments($arguments, $validParameters) {
      $variables = "";
      foreach ($arguments as $arg) {
        $type = gettype($arg);
        if ($type == "object") {
          $type = get_class($arg);
        }
        $variables .= "(" . $type . ")";
      }
      if (!in_array($variables, $validParameters)) {
        throw new Exception("Invalid parameter types: " . str_replace(")(", ", ", $variables));
      }
      return TRUE;
    }

    /**
     * Service Call: findByTicket
     * Parameter options:
     * (findByTicket) parameters
     * (findByTicket) parameters
     * (findByTicket) parameters.
     *
     * @param mixed,... See function description for parameter options
     *
     * @return findByTicketResponse
     *
     * @throws Exception invalid function signature message
     */
    public function findByTicket($mixed = NULL) {
      $validParameters = array(
        "(findByTicket)",
        "(findByTicket)",
        "(findByTicket)",
      );
      $args = func_get_args();
      $this->_checkArguments($args, $validParameters);
      return $this->__soapCall("findByTicket", $args);
    }

    /**
     * Service Call: findProjectByName
     * Parameter options:
     * (findProjectByName) parameters
     * (findProjectByName) parameters
     * (findProjectByName) parameters.
     *
     * @param mixed,... See function description for parameter options
     *
     * @return findProjectByNameResponse
     *
     * @throws Exception invalid function signature message
     */
    public function findProjectByName($mixed = NULL) {
      $validParameters = array(
        "(findProjectByName)",
        "(findProjectByName)",
        "(findProjectByName)",
      );
      $args = func_get_args();
      $this->_checkArguments($args, $validParameters);
      return $this->__soapCall("findProjectByName", $args);
    }

    /**
     * Service Call: findProjectByShortCode
     * Parameter options:
     * (findProjectByShortCode) parameters
     * (findProjectByShortCode) parameters
     * (findProjectByShortCode) parameters.
     *
     * @param mixed,... See function description for parameter options
     *
     * @return findProjectByShortCodeResponse
     *
     * @throws Exception invalid function signature message
     */
    public function findProjectByShortCode($mixed = NULL) {
      $validParameters = array(
        "(findProjectByShortCode)",
        "(findProjectByShortCode)",
        "(findProjectByShortCode)",
      );
      $args = func_get_args();
      $this->_checkArguments($args, $validParameters);
      return $this->__soapCall("findProjectByShortCode", $args);
    }

    /**
     * Service Call: getUserProjects
     * Parameter options:
     * (getUserProjects) parameters
     * (getUserProjects) parameters
     * (getUserProjects) parameters.
     *
     * @param mixed,... See function description for parameter options
     *
     * @return getUserProjectsResponse
     *
     * @throws Exception invalid function signature message
     */
    public function getUserProjects($mixed = NULL) {
      $validParameters = array(
        "(getUserProjects)",
        "(getUserProjects)",
        "(getUserProjects)",
      );
      $args = func_get_args();
      $this->_checkArguments($args, $validParameters);
      return $this->__soapCall("getUserProjects", $args);
    }

  }
}
